## nvidia-graphics-drivers-legacy-71xx 71.86.15

=== debian/changelog ===
nvidia-graphics-drivers-legacy-71xx (71.86.15-3) unstable; urgency=low

  * Turn packages into empty dummy packages that properly clean up after
    ancient installations. The Nvidia 71xx legacy driver has not been
    supported for a long time since it lacks support for current Xservers.
    (Closes: #620526)
  * Do not install any files.
  * Do not register alternatives.
  * Reduce Build-Depends, Provides, Suggests.
  * Move packages to Section: oldlibs, Priority: extra.
  * Synchronize packaging with nvidia-graphics-drivers 295.33-1:
    - Update to Standards-Version: 3.9.3.
    - Use the final copyright-format/1.0 URL.
    - Reorder debian/copyright and use the Comment: field for extra
      information.
  * Synchronize packaging with nvidia-graphics-drivers 295.33-2:
    - New patch patch-3.0-rt-nvidia.patch taken from Arch Linux: support
      building the kernel module for RT kernels.
  * Synchronize packaging with nvidia-graphics-drivers 295.40-1:
    - conftest.h:
      + Implement new conftest.sh function pci_get_domain_bus_and_slot
        (290.06).
      + Implement new conftest.sh function set_memory_uc and simplify
        functions set_pages_uc, change_page_attr (295.09).
    - New patch kernel-3.4.patch to fix the module build with kernel 3.4 which
      has split and removed asm/system.h.  Based on patch from Antonio Ospite.
  * Synchronize packaging with nvidia-graphics-drivers 295.53-1:
    - Add lintian overrides for hardening-*.
    - bug-script: report traces of Ubuntu ld.so.conf.d GL configuration.
    - conftest.h: implement check for asm/system.h (295.53).
  * Synchronize packaging with nvidia-graphics-drivers 295.59-1:
    - bug-script: report all /lib/modules/.../nvidia.ko and their version.
  * Synchronize packaging with nvidia-graphics-drivers-legacy-96xx 96.43.20-4:
    - drop24support.patch: New patch, disable kernel 2.4 support to avoid
      mistakes when building for 3.4.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 30 Jun 2012 14:46:34 +0200

nvidia-graphics-drivers-legacy-71xx (71.86.15-2) unstable; urgency=low

  [ Andreas Beckmann ]
  * Synchronize packaging with nvidia-graphics-drivers-legacy-96xx 96.43.20-3
  * Synchronize packaging with nvidia-graphics-drivers 280.13.really.275.36-1:
    - Bump nvidia-kernel-common versioned dependency to 20110213 (updates
      initrd to enable/disable the nouveau blacklist).
    - Bump glx-alternative-nvidia versioned dependency to 0.2.
  * Synchronize packaging with nvidia-graphics-drivers 290.03-1:
    - bug-control: collect information about installed nouveau packages.
  * Synchronize packaging with nvidia-graphics-drivers 290.10-1:
    - debian/copyright: Update to dep5.mdwn?revision=202.
  * Synchronize packaging with nvidia-graphics-drivers 295.09-1:
    - Fix debian/module/debian/kernel-version to report the correct version
      for using in the package name.  Try $KSRC/include/generated/utsrelease.h
      before $KSRC/include/config/kernel.release (which has changed in 3.1).
  * Synchronize packaging with nvidia-graphics-drivers 295.20-1:
    - Bump debhelper dependency to 9.
    - debian/rules: Switch to dh --with dkms.
    - Redirect bug reports against module binary packages to
      nvidia-kernel-legacy-71xx-source.
    - Add some notes about the 'EQ overflowing...' error to the README.
  * Adjust Priority and Description of transitional packages.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 16 Feb 2012 06:20:13 +0100

nvidia-graphics-drivers-legacy-71xx (71.86.15-1) unstable; urgency=low

  [ Andreas Beckmann ]
  * New upstream release 71.86.15 (2011-08-17).
    - Improved compatibility with recent Linux kernels.
  * Synchronize packaging with nvidia-graphics-drivers-legacy-96xx 96.43.20-2
  * Synchronize packaging with nvidia-graphics-drivers 275.09.07-1:
    - Refresh linux3.patch, upstream partially added Linux 3 support.
  * Synchronize packaging with nvidia-graphics-drivers 275.21-1:
    - Use a versioned dependency on the transitional
      libgl{1,x}-nvidia-alternatives packages.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-1:
    - conftest.h: remove obsolete conftest.sh function signal_struct, no
      longer used by the legacy drivers.
    - Track PCI IDs extracted from the README in debian/nv-readme.ids.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-2:
    - Call check-for-mismatching-nvidia-module properly by passing the new
      upstream version as first argument.
    - Bump debhelper dependency to >= 8.1.3 for experimental debhelper compat
      level 9, which is used for multiarch build.
    - Add instructions for squeeze-backports to README.source and a
      prepare-squeeze-backport target to debian/rules that performs the
      necessary changes.
    - Add empty /usr/lib/tls directory to ensure smoother upgrades.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-4:
    - Avoid multiarch file conflicts:
      - Install the x86 README.txt in libgl1-nvidia-glx and nvidia-vdpau-driver.
      - Use wildcards instead of multiarch paths in *.lintian-overrides.
    - Add Breaks: make (= 3.82-1) to work around kernel module build failure
      with make 3.82 (in experimental), see #640539.
  * Synchronize packaging with nvidia-graphics-drivers 280.13-5:
    - Drop Conflicts with pre-squeeze kernel *-2.6.32-trunk-*.
    - xserver-xorg-video-nvidia: add (versioned) Depends: xserver-xorg-core.
    - Use PCI IDs extracted from the README, not the kernel module.
  * Drop 2.6.36-ioctl.patch, fixed upstream.
  * Drop no-smp_lock.patch, fixed upstream.
  * Drop AUTOCONF_INCLUDED.patch, fixed upstream.

 -- Andreas Beckmann <debian@abeckmann.de>  Thu, 08 Sep 2011 20:16:36 +0200

nvidia-graphics-drivers-legacy-71xx (71.86.14-3) unstable; urgency=low

  [ Andreas Beckmann ]
  * Synchronize packaging with nvidia-graphics-drivers-legacy-96xx 96.43.19-2
  * Synchronize packaging with nvidia-graphics-drivers 195.36.31-6:

