=== debian/control ===
Source: nvidia-graphics-drivers-legacy-71xx
Section: non-free/oldlibs
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-71xx/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-drivers-legacy-71xx/
Build-Depends:
 debhelper (>= 9),
 bzip2,
 dkms (>= 2.1.1.1),
 quilt,
Standards-Version: 3.9.3
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-glx-legacy-71xx-unsupported
Architecture: i386 amd64
Depends:
 ${misc:Depends}
Description: NVIDIA unsupported legacy 71xx driver cleanup
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: nvidia-glx-legacy-71xx
Architecture: i386 amd64
Pre-Depends:
 dpkg (>= 1.15.7.2),
 nvidia-installer-cleanup,
Depends:
 nvidia-glx-legacy-71xx-unsupported,
 libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
 xserver-xorg-video-nvidia${nvidia:Legacy} (= ${binary:Version}),
 nvidia-alternative${nvidia:Legacy} (= ${binary:Version}),
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Description: OBSOLETE NVIDIA metapackage${nvidia:LegacyDesc}
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: xserver-xorg-video-nvidia-legacy-71xx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 nvidia-glx-legacy-71xx-unsupported,
 libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
 nvidia-alternative${nvidia:Legacy} (= ${binary:Version}),
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Breaks:
 nvidia-glx (<< 275.09.07-2),
 nvidia-glx-legacy (<< 71.86.14-3),
 nvidia-glx-legacy-71xx (<< 71.86.14-3),
 nvidia-glx-legacy-96xx (<< 96.43.19-2),
 nvidia-glx-legacy-173xx (<< 173.14.30-2),
 fglrx-driver (<< 11-6-~),
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 71.86.14-3),
Description: OBSOLETE NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: nvidia-glx-legacy-71xx-ia32
Architecture: amd64
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 ${misc:Depends}
Description: NVIDIA 32-bit libraries${nvidia:LegacyDesc} (transitional package)
 This is a dummy package to aid switching to
 libgl1-nvidia${nvidia:Legacy}-glx-ia32.

Package: nvidia-glx-legacy-71xx-dev
Architecture: i386 amd64
Depends:
 libgl1-mesa-dev | libgl-dev,
 libgl1-nvidia${nvidia:Legacy}-glx,
 ${misc:Depends}
Description: NVIDIA OpenGL development files (transitional package)${nvidia:LegacyDesc}
 This is a transitional dummy package to aid migration to libgl1-mesa-dev.
 NVIDIA recommends to use the official headers for developing OpenGL
 applications.

Package: libgl1-nvidia-legacy-71xx-glx
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
 ${misc:Pre-Depends}
Depends:
 nvidia-glx-legacy-71xx-unsupported,
 nvidia-alternative${nvidia:Legacy},
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Conflicts:
 libgl1-nvidia${nvidia:Legacy}-dev,
# nvidia-glx${nvidia:Legacy}-dev,
 libgl1-nvidia-glx-ia32 [i386],
Breaks:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32 (<< ${nvidia:Version}) [amd64],
 nvidia-glx (<< 275.09.07-3),
 nvidia-glx-legacy (<< 71.86.14-3),
 nvidia-glx-legacy-71xx (<< 71.86.14-3),
 nvidia-glx-legacy-96xx (<< 96.43.19-2),
 nvidia-glx-legacy-173xx (<< 173.14.30-2),
 libgl1-nvidia-glx (<< 275.09.07-3),
# libgl1-nvidia-legacy-71xx-glx (<< 71.86.14-3),
 libgl1-nvidia-legacy-96xx-glx (<< 96.43.19-2),
 libgl1-nvidia-legacy-173xx-glx (<< 173.14.30-2),
 fglrx-glx (<< 11-6-~),
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 71.86.14),
 libgl1-nvidia${nvidia:Legacy}-dev,
# nvidia-glx${nvidia:Legacy}-dev,
Description: OBSOLETE NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: libgl1-nvidia-legacy-71xx-glx-ia32
Architecture: amd64
Pre-Depends:
 libc6-i386 (>= 2.9-18),
 nvidia-installer-cleanup,
 ${misc:Pre-Depends}
Depends:
 nvidia-glx-legacy-71xx-unsupported,
 libgl1-nvidia-alternatives-ia32,
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Conflicts:
 libgl1-nvidia-glx-ia32,
 libgl1-nvidia-glx-ia32-any,
 fglrx-glx-ia32,
 nvidia-glx-ia32,
 nvidia-glx-legacy-ia32 (<< 71.86.14),
 nvidia-glx-legacy-71xx-ia32 (<< 71.86.14),
 nvidia-glx-legacy-96xx-ia32,
 nvidia-glx-legacy-173xx-ia32,
Breaks:
 libgl1-nvidia${nvidia:Legacy}-glx (<< ${nvidia:Version}),
Replaces:
 nvidia-glx${nvidia:Legacy}-ia32 (<< 71.86.14),
Description: OBSOLETE NVIDIA binary OpenGL 32-bit libraries${nvidia:LegacyDesc}
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: nvidia-alternative-legacy-71xx
Architecture: i386 amd64
Depends:
 glx-alternative-nvidia (>= 0.2),
 libgl1-nvidia-alternatives (>= 275.09.07-4),
 libglx-nvidia-alternatives (>= 275.09.07-4),
 ${misc:Depends}
Breaks:
 nvidia-glx${nvidia:Legacy} (<< 71.86.14-3),
 libgl1-nvidia${nvidia:Legacy}-glx (<< 71.86.14-3),
Description: OBSOLETE allows the selection of NVIDIA as GLX provider
 The 71xx legacy drivers don't support Xorg Xserver newer than 1.4 which was
 shipped with Debian 5.0 (lenny).
 .
 This is an empty dummy package to ensure proper cleanup after previous
 installations of the legacy 71xx driver.
 It can be safely removed.

Package: nvidia-kernel-legacy-71xx-dkms
Section: non-free/kernel
Architecture: i386 amd64
Multi-Arch: allowed
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms (>= 2.1),
 nvidia-kernel-common (>= 20110213),
 ${misc:Depends}
Recommends:
 nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version}),
Provides:
 nvidia-kernel-dkms,
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Conflicts:
 nvidia-kernel-dkms,
Breaks:
 make (= 3.82-1),
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 This package builds the NVIDIA Xorg binary kernel module needed by
 nvidia-glx${nvidia:Legacy}, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-legacy-71xx-source
Section: non-free/kernel
Architecture: i386 amd64
Depends:
 debhelper (>= 8),
 make,
 quilt (>= 0.46-7~),
 ${misc:Depends}
Recommends:
 module-assistant | kernel-package,
 nvidia-kernel-common,
Suggests:
 nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version}),
Breaks:
 make (= 3.82-1),
Description: NVIDIA binary kernel module source${nvidia:LegacyDesc}
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by nvidia-glx${nvidia:Legacy} in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 PLEASE read /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.Debian.gz
 for building information.  If you want the kernel module to be automatically
 installed via DKMS, install nvidia-kernel${nvidia:Legacy}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-glx-legacy
Architecture: i386 amd64
Depends: nvidia-glx${nvidia:Legacy}, ${misc:Depends}
Description: NVIDIA binary Xorg driver (transitional, 71xx legacy)
 Transitional dummy package to upgrade to new name
 nvidia-glx${nvidia:Legacy}.

Package: nvidia-glx-legacy-ia32
Architecture: amd64
Depends: nvidia-glx${nvidia:Legacy}-ia32, ${misc:Depends}
Description: NVIDIA binary Xorg driver (32-bit, transitional, 71xx legacy)
 Transitional dummy package to upgrade to new name
 nvidia-glx${nvidia:Legacy}-ia32.

Package: nvidia-glx-legacy-dev
Architecture: i386 amd64
Depends: nvidia-glx${nvidia:Legacy}-dev, ${misc:Depends}
Description: NVIDIA binary Xorg devel (transitional, 71xx legacy)
 Transitional dummy package to upgrade to new name
 nvidia-glx${nvidia:Legacy}-dev.

Package: nvidia-kernel-legacy-source
Architecture: i386 amd64
Depends: nvidia-kernel${nvidia:Legacy}-source, ${misc:Depends}
Description: NVIDIA binary kernel module source (transitional, 71xx legacy)
 Transitional dummy package to upgrade to new name
 nvidia-kernel${nvidia:Legacy}-source.
